Skip to main content
GET
/
v0
/
wallets
/
{wallet_id}
/
balances
Get Wallet Balance Summary
curl --request GET \
  --url https://api.sumvin.com/v0/wallets/{wallet_id}/balances
{
  "_links": {},
  "summary": {
    "wallet_address": "<string>",
    "wallet_chain_id": 123,
    "total_assets": 123,
    "last_updated": 123,
    "assets": [
      {
        "symbol": "<string>",
        "name": "<string>",
        "chain_id": 123,
        "balance": "<string>",
        "balance_updated_at": 123,
        "balance_usd": "<string>",
        "transactions_href": "<string>",
        "_links": {}
      }
    ]
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

wallet_id
string
required

Response

Balance summary retrieved successfully

HAL-style hypermedia links for navigation and available actions.

summary
WalletBalanceSummary · object
required